Subject: Re: [v6ops] draft-moreiras-v6ops-rfc3849bis-00

From: "Alejandro Acosta" <[email-masked]>
Date: Mon, 12 Aug 2013 21:25:25 +0000

Hi Owen, thanks a lot for your example.
I'm going to mention one more case:

Recently I had to write a document explaining an IPv6 address plan, one part of the document consisted in an example of multi regional ISP. In those cases the ISP generally receives blocks larger than /32 from the RIR.  I could not use the current 2001:db8::/32 and unfortunately I had to write the examples using other prefixes.

Thanks a lot,

-----Mensaje original-----
De: Owen DeLong
Enviados:  08/12/2013 2:01:18 PM
Para: Fred Baker (fred)
Cc: Alejandro Acosta; <[email-masked]>
Asunto:  Re: [v6ops] draft-moreiras-v6ops-rfc3849bis-00

If you are trying to demonstrate or teach peerings across multiple ASNs and show examples of how multiple ISPs might carve up their /32s (or larger) differently, it's very hard to do all of that within a single /32.

Antonio and I do very similar types of training from the sounds of it and we have encountered the same issues.

A larger doc prefix would be useful. I don't see it as critical, but I don't see any significant reason not to do so. I understand the objection raised by Cameron, but, really, anything the IETF does likely creates some amount of work for operators. Thus is the nature of operating a network built on an evolving technology. You knew the job was dangerous when you took it.

Owen

On Aug 12, 2013, at 10:17 , "Fred Baker (fred)" <[email-masked]> wrote:

> Speaking as a chair, I don't have a problem with it being discussed in v6ops, but I think the issue belongs in 6man by charter.
> 
> Speaking as a document author (think of RFCs 6052, 6144, 6145, 6146, and 6147, which I helped edit or write), I'm not sure I have ever had a case in which a /32 was not enough. I might, for example, need to use layers of prefixes like
>    2001:db8::/32
>    2001:db8:100::/40
>    2001:db8:202::/48
>    2001:db8:300:300::/56
>    2001:db8:400:440::/60
>    2001:db8:400:444::/64
> but I seem to have plenty of layers at my disposal. I'd be interested to understand the cases in which you find yourself cramped?
> 
> On Aug 11, 2013, at 12:16 PM, Antonio M. Moreiras <[email-masked]> wrote:
> 
>> Hi.
>> 
>> I would like to ask you to please review and comment the following draft:
>> 
>> http://tools.ietf.org/html/draft-moreiras-v6ops-rfc3849bis-00
>> 
>> It intends to ask IANA to reserve another IPv6 prefix for documentation.
>> Something larger than the 2001:db8::/32, reserved by APNIC 10 years ago.
>> 
>> The prefix 2001:db8::/32 showed to be very useful. It is widely used.
>> But we are still facing the same problem that RFC 3849 tried to address:
>> in some kind of documents, tutorials and didactic laboratories, we have
>> been using other prefixes, because a /32 isn't enough to represent the
>> scenario.
>> 
>> We consider that a /20 would be enough.
>> 
>> If possible, we would like to ask IANA to reserve something easy to
>> remember, and self explaining, such as:
>> 
>> 2D0C::/20
>> 
>> but *this suggestion is not stated in the document*. This prefix is from
>> the global unicast space, and 2d00::/8 is currently marked as reserved
>> by IANA [1], so it would be possible. Anyway, we think it would be
>> better to discuss the question in the mailing-list.
>> 
>> Reviewing the archives from when draft-huston-ipv6-documentation-prefix
>> (that became RFC 3849) was being discussed, both questions (the
>> necessity of a larger prefix, or multiple prefixes, and the possibility
>> to reserve something easier to remember and self explaining) were
>> raised. I am not sure why none of them led to something concrete.
>> Probably because the draft just intended to document an allocation
>> already made by APNIC, and maybe it was not so clear then how useful it
>> would be.
>> 
>> If you agree in principle with the proposal, other point to discuss is
>> if this subject is compatible with v6ops. Maybe it should be addressed
>> in 6man, or other place.
>> 
>> Thanks.
>> Moreiras.
>> 
>> [1]
>> http://www.iana.org/assignments/ipv6-unicast-address-assignments/ipv6-unicast-address-assignments.xhtml
>> 
>> 
>> _______________________________________________
>> v6ops mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/v6ops
> 
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops

_______________________________________________
v6ops mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/v6ops